Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

payment/visa.php
Go to the documentation of this file.
1 <?
3 //
4 // $Id: visa.php,v 1.4 2001/03/01 14:06:26 jb Exp $
5 //
6 // Christoffer A. Elo <ce@ez.no>
7 // Created on: <08-Feb-2001 14:11:48 ce>
8 //
9 // This source file is part of Exponential Basic, publishing software.
10 // Copyright (C) 1999-2000 eZ systems as
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 //include_once( "classes/INIFile.php" );
28 //include_once( "classes/eztemplate.php" );
29 //include_once( "classes/ezlocale.php" );
30 //include_once( "classes/ezcurrency.php" );
31 //include_once( "classes/ezhttptool.php" );
32 //include_once( "classes/ezcctool.php" );
33
34 $ini =& eZINI::instance( 'site.ini' );
35
36 $Language = $ini->variable( "eZTradeMain", "Language" );
37 $PaymentSuccess = false;
38
39 if ( isset( $Action ) && $Action == "Verify" )
40 {
41 // Add VISA transaction code here..
42 // Payment Gateway API Call HERE: Paypal, Authorize.net, Stripe, Etc
43
44 // set to true if successful
45 $PaymentSuccess = "true";
46 }
47
48 $t = new eZTemplate( "kernel/eztrade/user/payment/" . $ini->variable( "eZTradeMain", "TemplateDir" ),
49 "kernel/eztrade/user/payment/intl/", $Language, "visa.php" );
50
51 $t->set_file( "visa_tpl", "visa.tpl" );
52
53 $t->setAllStrings();
54
55 $t->set_var( "order_id", isset( $OrderID ) ? $OrderID : 0 );
56 $t->set_var( "payment_type", isset( $PaymentType ) ? $PaymentType : '' );
57
58 $t->pparse( "output", "visa_tpl" );
59 ?>
eZTemplate
Definition: eztemplate.php:107
$Action
$Action
Definition: companysearch.php:80
$PaymentSuccess
$PaymentSuccess
Definition: payment/visa.php:37
$Language
$Language
Definition: payment/visa.php:36
$ini
$ini
Definition: payment/visa.php:34
$t
if(isset( $Action) && $Action=="Verify") $t
Definition: payment/visa.php:48
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.